import { Injectable } from '@nestjs/common';
import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { Icon } from '../entities/icon.entity';

@Injectable()
export class IconRepository extends EntityRepository<Icon> {
  constructor(readonly em: EntityManager) {
    super(em, Icon);
  }
}
